import { Body, Controller, Get, Post, Query } from '@nestjs/common';
import { ApiBody, ApiOperation, ApiTags } from '@nestjs/swagger';
import { ProgramaService } from './programa.service';
import { ProgramaCreateDto } from './dto/programa-create.dto';

@Controller('programa')
@ApiTags('programa')
export class ProgramaController {
  constructor(private programaService: ProgramaService) {}

  @Post()
  @ApiOperation({ description: 'Endpoint que crea un programa nuevo.' })
  @ApiBody({
    description: 'Es obligatorio mandar la varible programa.',
    examples: { ejemplo: { value: { programa: '' } } },
  })
  create(@Body() body: ProgramaCreateDto) {
    return this.programaService.create(body.programa);
  }

  @Get()
  @ApiOperation({ description: 'Endpoint que retorna todos los programas.' })
  get() {
    return this.programaService.findAll();
  }
}
